import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';


@IonicPage()
@Component({
  selector: 'page-order-detail',
  templateUrl: 'order-detail.html',
})
export class OrderDetailPage {
  order;  //订单信息
  activity = {
      activityName:'',
      activityIntro:''
  };    //活动
  batch;    //批次

    isCover = false;
    isIntroduce = false;
  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
    this.order = this.navParams.get('item');
    this.activity = this.navParams.get('item').activity;
    this.batch = this.navParams.get('item').batch;
    console.log(this.navParams.get('item'));
  }

    hidden() {
        this.isCover = false;
        this.isIntroduce = false;
    }

    show() {
        this.isCover = true;
        this.isIntroduce = true;
    }

}
